Skip to content

# Interface: KubernetesClusterSpec

Common.Catalog.KubernetesClusterSpec

## Hierarchy

- CatalogEntitySpec

↳ KubernetesClusterSpec

## Table of contents

### Properties

- icon
- kubeconfigContext
- kubeconfigPath
- metrics

## Properties

### icon

• `Optional` icon: `Object`

#### Type declaration

Name | Type
--- | ---
`background?` | `string`
`material?` | `string`
`src?` | `string`

### kubeconfigContext

• kubeconfigContext: `string`

### kubeconfigPath

• kubeconfigPath: `string`

### metrics

• `Optional` metrics: `Object`

#### Type declaration

Name | Type
--- | ---
`prometheus?` | KubernetesClusterPrometheusMetrics
`source` | `string`